Bug 1170802 - Review Request: nodejs-relateurl - Minify URLs by converting them from absolute to relative
Summary: Review Request: nodejs-relateurl - Minify URLs by converting them from absol...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1175878 1176445
TreeView+ depends on / blocked
 
Reported: 2014-12-04 22:07 UTC by Piotr Popieluch
Modified: 2015-01-24 18:43 UTC (History)
2 users (show)

Fixed In Version: nodejs-relateurl-0.2.5-3.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-12-27 01:00:51 UTC
panemade: fedora-review+
petersen: fedora-cvs+


Attachments (Terms of Use)

Description Piotr Popieluch 2014-12-04 22:07:20 UTC
Spec URL: https://piotrp.fedorapeople.org/nodejs-relateurl.spec
SRPM URL: https://piotrp.fedorapeople.org/nodejs-relateurl-0.2.5-1.fc21.src.rpm
Description: Minify URLs by converting them from absolute to relative
Fedora Account System Username: piotrp

Comment 1 Parag AN(पराग) 2014-12-06 12:28:13 UTC
Review:

+ Package built successful in mock (f22 x86_64)

+ rpmlint on generated rpms gave output
nodejs-relateurl.noarch: W: spelling-error Summary(en_US) Minify -> Magnify
nodejs-relateurl.noarch: W: spelling-error %description -l en_US Minify -> Magnify
nodejs-relateurl.noarch: W: only-non-binary-in-usr-lib
nodejs-relateurl.src: W: spelling-error Summary(en_US) Minify -> Magnify
nodejs-relateurl.src: W: spelling-error %description -l en_US Minify -> Magnify
2 packages and 0 specfiles checked; 0 errors, 5 warnings.

+ Source verified with upstream as (sha256sum)
srpm tarball: dbcffd89b3830974076df9c9531c9705fdb5215ecf0d5c98f3afd6052bcbacaf
upstream tarball:  dbcffd89b3830974076df9c9531c9705fdb5215ecf0d5c98f3afd6052bcbacaf

+ License is "MIT" 

- License text file is not available.

+ follows nodejs packaging guidelines.

Suggestions:
1) Group tag is optional

2) you can also write 
BuildRequires:  npm(chai)

3)Many npm modules don't used to have LICENSE text file included. You should ask upstream to add license text file and release new upstream version.

Comment 2 Piotr Popieluch 2014-12-06 14:12:27 UTC
Thnx,

fixed suggestions,
requested license file: https://github.com/stevenvachon/relateurl/issues/2

new release:


Spec URL: https://piotrp.fedorapeople.org/nodejs-relateurl.spec
SRPM URL: https://piotrp.fedorapeople.org/nodejs-relateurl-0.2.5-2.fc21.src.rpm

Comment 3 Piotr Popieluch 2014-12-16 17:58:11 UTC
License file is merged upstream, it is included as Source1.

Spec URL: https://piotrp.fedorapeople.org/nodejs-relateurl.spec
SRPM URL: https://piotrp.fedorapeople.org/nodejs-relateurl-0.2.5-3.fc21.src.rpm

Comment 4 Parag AN(पराग) 2014-12-20 14:49:05 UTC
Looks good now. But you can also write BR: specific to tests like

%if 0%{?enable_tests}
BuildRequires:  mocha
BuildRequires:  npm(chai)
%endif

APPROVED.

Comment 5 Piotr Popieluch 2014-12-20 14:54:42 UTC
Thank you for review. Will add the enable_tests condition before pushing.


New Package SCM Request
=======================
Package Name: nodejs-relateurl
Short Description:  - Minify URLs by converting them from absolute to relative
Upstream URL: https://github.com/stevenvachon/relateurl
Owners: piotrp
Branches: f20 f21 el6 epel7

Comment 6 Jens Petersen 2014-12-22 08:08:21 UTC
Git done (by process-git-requests).

Comment 7 Fedora Update System 2014-12-22 08:34:29 UTC
nodejs-relateurl-0.2.5-3.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/nodejs-relateurl-0.2.5-3.fc21

Comment 8 Fedora Update System 2014-12-22 08:35:00 UTC
nodejs-relateurl-0.2.5-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/nodejs-relateurl-0.2.5-3.fc20

Comment 9 Fedora Update System 2014-12-23 18:26:03 UTC
nodejs-relateurl-0.2.5-3.fc20 has been pushed to the Fedora 20 testing repository.

Comment 10 Piotr Popieluch 2014-12-27 01:00:51 UTC
package built, closing.

Comment 11 Fedora Update System 2014-12-27 19:00:17 UTC
nodejs-relateurl-0.2.5-3.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/nodejs-relateurl-0.2.5-3.el7

Comment 12 Fedora Update System 2014-12-29 09:58:56 UTC
nodejs-relateurl-0.2.5-3.fc21 has been pushed to the Fedora 21 stable repository.

Comment 13 Fedora Update System 2015-01-02 05:05:28 UTC
nodejs-relateurl-0.2.5-3.fc20 has been pushed to the Fedora 20 stable repository.

Comment 14 Fedora Update System 2015-01-24 18:43:13 UTC
nodejs-relateurl-0.2.5-3.el7 has been pushed to the Fedora EPEL 7 stable repository.


Note You need to log in before you can comment on or make changes to this bug.